//==============================================================================
//=  Ubuntu Linux 环境信息学评测系统标准评测插件
//=  最后编辑时间：2009年3月28日00:23
//==============================================================================

//******************************************************************************
//*  引入头文件
#include <stdio.h>
#include <stdlib.h>
#include <memory.h>

//******************************************************************************
//*  从文件读入一行
char* fGetLine(FILE* fin)
{
	typedef struct t_NODE
	{
		char c;
		struct t_NODE* Next;
	}NODE;
	
	char c;
	char* buf;
	NODE* h;
	NODE* t;
	int i;
	
	h=malloc(sizeof(NODE));
	memset(h, 0, sizeof(NODE));
	t=h;	
	c=fgetc(fin);
	i=0;
	while(c!='\n' && c!=EOF)
	{
		t->Next=malloc(sizeof(NODE));
		t=t->Next;
		memset(t, 0, sizeof(NODE));
		t->c=c;
		i++;
		c=fgetc(fin);
	}
	
	if(c!=EOF)
	{
		buf=malloc((i+1)*sizeof(char));
		buf[i]='\0';
		t=h->Next;
		i=0;
		while(t!=NULL)
		{
			buf[i]=t->c;
			t=t->Next;
			i++;
		}
	}
	else
		buf=NULL;
		
	while(h!=NULL)
	{
		t=h->Next;
		free(h);
		h=t;
	}
	
	return buf;
}

//******************************************************************************
//*  主函数
int main(int argc, char* argv[])
{
	int score;
	FILE* std;
	FILE* usr;
	char* buf1;
	char* buf2;
	
	sscanf(argv[3], "%d", &score);
	
	std=fopen(argv[1], "rt");
	usr=fopen(argv[2], "rt");
	
	buf1=fGetLine(std);
	while(buf1!=NULL)
	{
		buf2=fGetLine(usr);
		if(buf2==NULL || strcmp(buf1, buf2)!=0)
		{
			free(buf1);
			free(buf2);
			return 0;
		}
		free(buf1);
		free(buf2);
		buf1=fGetLine(std);
	}
	fclose(std);
	fclose(usr);
	
	return score;
}

//******************************************************************************
